## ros-galactic-diagnostic-aggregator 2.1.3

=== debian/changelog ===
ros-galactic-diagnostic-aggregator (2.1.3-1focal) focal; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 03 Aug 2021 07:00:00 -0000

ros-galactic-diagnostic-aggregator (2.1.2-1focal) focal; urgency=high

  * Adapt new launch file syntax. (#190 <https://github.com/ros/diagnostics/issues/190>)
  * Introduce history depth parameter for subscription. (#168 <https://github.com/ros/diagnostics/issues/168>)
  * Contributors: Karsten Knese, Ryohsuke Mitsudome

 -- Austin Hendrix <namniart@gmail.com>  Wed, 03 Mar 2021 08:00:00 -0000

ros-galactic-diagnostic-aggregator (2.1.1-1focal) focal; urgency=high

  * Move Aggregator publishing to timer to allow subscription callback more processing time. (#180 <https://github.com/ros/diagnostics/issues/180>)
  * Contributors: cdbierl

 -- Austin Hendrix <namniart@gmail.com>  Thu, 28 Jan 2021 08:00:00 -0000

ros-galactic-diagnostic-aggregator (2.1.0-1focal) focal; urgency=high

  * Update to latest ros2 rolling. (#177 <https://github.com/ros/diagnostics/issues/177>)
  * Fix installation of diagnostic aggregator example. (#159 <https://github.com/ros/diagnostics/issues/159>)
  * Restore alphabetical order. (#148 <https://github.com/ros/diagnostics/issues/148>)
  * Aggregator bugfix, tests, and nicer example. (#147 <https://github.com/ros/diagnostics/issues/147>)
  * Contributors: Arne Nordmann, Georg Bartels, Karsten Knese

 -- Austin Hendrix <namniart@gmail.com>  Tue, 12 Jan 2021 08:00:00 -0000

ros-galactic-diagnostic-aggregator (2.0.2-1focal) focal; urgency=high

  * 2.0.2
    Signed-off-by: Karsten Knese <mailto:karsten.knese@us.bosch.com>
  * generate changelog
    Signed-off-by: Karsten Knese <mailto:karsten.knese@us.bosch.com>
  * Ros2 migrate diagnostic aggregator (#118 <https://github.com/ros/diagnostics/issues/118>)
    * Removed AMENT_IGNORE and uncrustified
    Signed-off-by: Arne Nordmann <mailto:arne.nordmann@de.bosch.com>
    * Started migration of c++ API
    * To be done: logging, assertions, parameter handling
    Signed-off-by: Arne Nordmann <mailto:arne.nordmann@de.bosch.com>
    * Started migration of python tests
    * Started migration of analyzer group
    * Migrated from XMLRPC to ROS2 parameters parsing
    * Doesn't create working analzers, yet
    Signed-off-by: Arne Nordmann <mailto:arne.nordmann@de.bosch.com>
    * Migrated analyzers plugin
    * Split anaylzers into seperate plugin lib
    * Build shared lib to be used by plugin class loader
    * Fixed plugin registration of analyzers
    Signed-off-by: Arne Nordmann <mailto:arne.nordmann@de.bosch.com>
    * Analyzer group correctly setting up analyzers
    * Improved parameter handling of generic_analyzer
    Signed-off-by: Arne Nordmann <mailto:arne.nordmann@de.bosch.com>
    * API migration to ROS2 c++ + logging
    Signed-off-by: Arne Nordmann <mailto:arne.nordmann@de.bosch.com>
    * uncrustified
    Signed-off-by: Arne Nordmann <mailto:arne.nordmann@de.bosch.com>
    * Reworked analyzer paths and names
    * Separate handling of the analyzer's (and analyzer group's):
    ** "nice" name
    ** path (path of their results in the robot monitor)
    ** breadcrumb (prefix of their yaml configuration)
    * Logging
    * Uncrustify
    * Examples
    * Less strict cpplint
    * removed using namespace
    * Fixes complation of analyzer group test
    * Removed dependency to boost
    * Using std::mutex instead of boost::mutex. Using std::lock_guard
    instead of boost::scoped_lock since std::scoped_lock was not introduced before C++17
    * Using std::regex instead of boost::regex
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * Alphabetical order of includes and dependencies
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * Adopted suggestions from review by @Karsten1987
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * Minor improvements
    * Using unique_ptrs instead of plain c pointers
    * Simplifying loops
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * use class logger variable
    Signed-off-by: Karsten Knese <karsten@openrobotics.org>
    * make linter tests pass
    Signed-off-by: Karsten Knese <karsten@openrobotics.org>
    * bring back variable names and (void) them
    Signed-off-by: Karsten Knese <karsten@openrobotics.org>
    * linters
    Signed-off-by: Karsten Knese <karsten@openrobotics.org>
    * Aggregator demo launch
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * Adds launch-based test
    * Adds launch-based test, starting aggregator with a yaml configuration
    * Test is not yet working, something wrong with process orchestration
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * One passing test
    * One passing test, just looking for output of the bond statemachine
    * One failing test, looking for the actual analyzer output we want to
    test for
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * Short documentation of the demo
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * minor fixes
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * Working tests for analyzer creation from yaml
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * Cleanup, we don't need lifecycle (yes)
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * linters
    * Fixed tests
    * launch testing now working withou previous stdcout hack
    * deleted deprecated (not working) tests
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * - QOS config in python demo publisher
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>
    * fix install location, necessary for eloquent
    * fix undefined behaviour when parameters are kept as default
    * CMakeLists.txt touchup for OSX
    Signed-off-by: Karsten Knese <karsten.knese@us.bosch.com>
    * Moved 'Demo' to 'Example'
    Signed-off-by: Arne Nordmann <arne.nordmann@de.bosch.com>

